Subject: Re: [PATCH 2/3] [VLAN]: Update iif when receiving via VLAN device

From: Patrick McHardy <[email-masked]>
Date: Fri, 30 Jun 2006 19:33:31 +0200

jamal wrote:
> You are attempting to change architecture (which works just fine) in the way you 
> think it should work - and then point to something as a bug because it 
> doesnt work the way you think it should work. 
> This is a problem not just with you BTW, but with Patrick as well (although he has 
> gotten better lately). There is a huge difference for example when dealing with 
> Herbert. My approach in situations like this, which you dont have to follow, is 
> to ask first what the intent was then if i dont like the intent try to convince the
> owner that there maybe better ways. Or why they are wrong. 

Well, I thought I stay out of this, but since you mention me ..

I also had the feeling it has gotten easier working with you lately,
but I can understand Thomas's pain, I had the same thoughts more than
once. Your code often does have an enormous amount of bugs and
whitespace and other stylistic problems and working with you can be
challenging for multiple reasons, for example having to go to endless,
often entirely pointless discussions for obvious fixes, especially if
you're already pissed by noticing 50 bugs at once. The reason why you
might be able to work better with Herbert is IMO that he usually
doesn't touch what you seem to feel is "your area". Besides that, I
never changed anything in your architecture, only fixed massive
amounts of bugs.